[ubuntu/groovy-updates] libreoffice 1:7.0.5-0ubuntu0.20.10.1 (Accepted)

Łukasz Zemczak lukasz.zemczak at canonical.com
Thu Apr 15 08:57:02 UTC 2021


libreoffice (1:7.0.5-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1913353)

  [ Rico Tzschichholz ]
  * Update yaru icon style "2021-01-31"
  * Move libreoffice-sdbc-hsqldb to Recommends (LP: #1916786)
  * Fix Calc crash in ScSelectionTransferObj (LP: #1897784)
  * Drop fix-bluez-external.diff and unowinreg-static-libgcc.diff,
    applied upstream

  [ Heather Ellsworth ]
  * Add timeout to uicheck-sw test to allow it to handle timeouts under
    load better (LP: #1785262)

libreoffice (1:7.0.4-3) unstable; urgency=medium

  * debian/tests/control.in: *really* add libreoffice-writer dependency
    to uicheck-sc test

libreoffice (1:7.0.4-2) unstable; urgency=medium

  * debian/test/control: make uicheck-sc depend on libreoffice-writer, too
    (the openDialogs/uno.Show:License Dialog test opens a new "Writer/Web"
    document...)

libreoffice (1:7.0.4-1) unstable; urgency=medium

  * LibreOffice 7.0.4 final release (identical to rc2)

  * debian/patches/pdfium-m68k.diff: fix pdfium build on m68k

  * debian/rules, debian/control*in: s/noinsttests/noinsttest/, thanks
    lintian
  * debian/rules:
    - revert clang (>= 1:11) build-dep for buster-backports; doesn't exist in
      buster and we resort back to gcc
    - don't rm LICENSE.html, it is used by
      Help -> License Information -> Show License
  * debian/control.mediawiki.in: remove Homepage: (closes: #978713) 
  * debian/*.mime: stop quoting %s (closes: #950319)

libreoffice (1:7.0.4~rc2-1) unstable; urgency=medium

  * New upstream release candidate

libreoffice (1:7.0.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/patches/unowinreg-static-libgcc.diff: use -static-libgcc, see
    LO master commit 01241113947fc7bd7f7b765dd897bb023c8ca99c

  * debian/rules:
    - set MYSQL_FLAVOUR=mariadb (as it's used anyway, and upstreams internal
      copy is mariadb-connector-c anyway) and build-depend on libmariadb-dev
      instead of libmariadbclient-dev-compat (closes: #975481)
    - build-depend on clang (>= 1:11) on armel
    - fix nocheck -b builds...
    - use nowindows build profile for (not) building unowinreg
  * debian/rules, debian/control*in:
    - honour noinsttests build profile for (not) building
      -subsequentcheckbase/-smoketest-test-data
  * debian/rules, debian/control*in:
    - move unowinreg.dll into /usr/lib/i686-w64-mingw32 (the mingw g++
      compiler installs its .dlls into /usr/lib/gcc/i686-w64-mingw32)

Date: 2021-03-15 18:40:09.784419+00:00
Changed-By: Rico Tzschichholz <ricotz at web.de>
Signed-By: Łukasz Zemczak <lukasz.zemczak at canonical.com>
https://launchpad.net/ubuntu/+source/libreoffice/1:7.0.5-0ubuntu0.20.10.1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Groovy-changes mailing list